%define		module	pyvorbis
Summary:	A Python module for the the Ogg/Vorbis library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki Ogg/Vorbis
Name:		python-%{module}
Version:	1.4
Release:	9
License:	GPL
Group:		Libraries/Python
Source0:	http://ekyo.nerim.net/software/pyogg/%{module}-%{version}.tar.gz
# Source0-md5:	b4921e792c0a74f75b9d3057df10ee7c
Patch0:		pyvorbis-double_free.patch
URL:		http://ekyo.nerim.net/software/pyogg/
BuildRequires:	libvorbis-devel
BuildRequires:	python-devel
BuildRequires:	python-pyogg-devel
BuildRequires:	rpmbuild(macros) >= 1.174
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-pyogg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pyvorbis

%description
pyvorbis is a wrapper for libvorbis, a compressed audio format
library.

%description -l pl.UTF-8
pyvorbis jest wrapperem dla libvorbis - biblioteki obsługującej dźwięk
w formacie skompresowanym.

%package devel
Summary:	pyvorbis headers and example programs
Summary(pl.UTF-8):	Pliki nagłówkowe modułu pyvorbis
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq	python-devel
Requires:	libvorbis-devel
Obsoletes:	pyvorbis-devel

%description devel
pyvorbis is a wrapper for libvorbis, a compressed audio format
library. This package contains the header files and example programs
for pyvorbis module.

%description devel -l pl.UTF-8
pyvorbis jest wrapperem dla libvorbis - biblioteki obsługującej dźwięk
w formacie skompresowanym. Ten pakiet zawiera pliki nagłówkowe i
programy przykładowe dla moduły pyvorbis.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
python config_unix.py \
	---prefix %{_prefix}
python setup.py config
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_incdir}/%{module}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install \
	--root $RPM_BUILD_ROOT

install src/*.h $RPM_BUILD_ROOT%{py_incdir}/%{module}
chmod -x test/*
install test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{py_sitedir}/ogg/*.so
%attr(755,root,root) %{py_sitedir}/*.egg-info
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{module}
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyvorbis.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4d6e485
- release 9 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cbf8a56
- automatic change: use py_build/py_install macros

* Wed Dec 21 2011 Jacek Konieczny <jajcus@pld-linux.org> 8edb3f4
- egg-info file added
- double free crash fixes (based on some Ubuntu patch and the unofficial 1.5a release)
- Release: 8

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> fc92c83
- release 7

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b57d70c
- release 6

* Sat Nov 14 2009 zbyniu <zbyniu@pld-linux.org> 587dc0f
- BR: rpm-pythonprov

* Fri Nov 28 2008 lisu <lisu@pld-linux.org> 6b58f32
- proper URL

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b16f13
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 588fa92
- release 4

* Fri Mar 02 2007 beorn <beorn@pld-linux.org> a1fbbb9
- Fixed comment of the -devel package

* Fri Mar 02 2007 beorn <beorn@pld-linux.org> 1561b34
- Example files moved from -devel package to _examplesdir of the base package

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 75023b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 13331b1
- converted to UTF-8

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 3cf3b1a
- rel. 2 to rebuild with python 2.5 (final)

* Sun Sep 03 2006 Patryk Zawadzki <patrys@room-303.com> 1adc308
- up to 1.4
- new maintainer

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 20e97e0
- mass commit: remove obsolete BR: rpm-pythonprov

* Sun Dec 26 2004 saq <saq@pld-linux.org> d055418
- strict internal and external deps, release 2

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 648efe1
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 55dfbb5
- capitalization, tabs, other cosmetics

* Sat Nov 22 2003 Jakub Bogusz <qboosh@pld-linux.org> e0862a5
- updated to 1.3

